# Get Active Orders

<EndpointPage
  breadcrumbs={[
    { label: "Prediction Markets", href: "/prediction-markets/prediction-markets" },
    { label: "Order Management", href: "/prediction-markets/rest-api/order-management" },
    { label: "Get Active Orders" },
  ]}
  title="Get Active Orders"
  method="POST"
  url="https://api.gemini.com/v1/prediction-markets/orders/active"
  description="Returns a list of currently open (active) orders for the authenticated user."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/prediction-markets/orders/active",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <p style={{ margin: 0 }}>The API key you use to access this endpoint must have the Trader role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
      ),
    },
    {
      heading: "Headers",
      children: <PMSpecHeaders />,
    },
    {
      heading: "Request Body",
      children: <PMSpecParams operationId="getActiveOrders" />,
    },
    {
      heading: "Responses",
      children: <PMSpecResponses operationId="getActiveOrders" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Cancel Order", href: "/prediction-markets/rest-api/order-management/cancel-order" }}
  next={{ label: "Positions", href: "/prediction-markets/rest-api/positions" }}
/>
